aboutsummaryrefslogtreecommitdiff
path: root/install
diff options
context:
space:
mode:
Diffstat (limited to 'install')
-rwxr-xr-xinstall19
1 files changed, 19 insertions, 0 deletions
diff --git a/install b/install
new file mode 100755
index 0000000..ed8b710
--- /dev/null
+++ b/install
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+
+set -e
+
+DEFAULT_CONFIG_PREFIX="base"
+CONFIG_SUFFIX=".yaml"
+DOTBOT_DIR="dotbot"
+
+DOTBOT_BIN="bin/dotbot"
+BASEDIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
+
+cd "${BASEDIR}"
+git submodule update --init --recursive "${DOTBOT_DIR}"
+
+for conf in ${DEFAULT_CONFIG_PREFIX} ${@}; do
+ "${BASEDIR}/${DOTBOT_DIR}/${DOTBOT_BIN}" -d "${BASEDIR}" -c "${conf}${CONFIG_SUFFIX}"
+done
+
+echo ${@} > .dot.args